Skip to main content
DELETE
/
v1
/
claims
/
{claimId}
Cancel claim
curl --request DELETE \
  --url https://plugin-pix-direct.api.lerian.net/v1/claims/{claimId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "11122233344",
  "accountId": "019c96a0-0c0c-7221-8cf3-13313fb60081"
}
'
import requests

url = "https://plugin-pix-direct.api.lerian.net/v1/claims/{claimId}"

payload = {
    "key": "11122233344",
    "accountId": "019c96a0-0c0c-7221-8cf3-13313fb60081"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'DELETE',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({key: '11122233344', accountId: '019c96a0-0c0c-7221-8cf3-13313fb60081'})
};

fetch('https://plugin-pix-direct.api.lerian.net/v1/claims/{claimId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "claimId": "claim_abc123xyz", "status": "OPEN" }

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Obtain token from /v1/login/oauth/access_token endpoint using client credentials (clientId and clientSecret).

Include token in Authorization header: Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Token expires after 3600 seconds (1 hour).

Path Parameters

claimId
string
required

Claim identifier.

Body

application/json
key
string
required

Pix key to cancel claim for.

Example:

"11122233344"

accountId
string<uuid>
required

Account identifier of the claimer.

Example:

"019c96a0-0c0c-7221-8cf3-13313fb60081"

Response

Claim cancelled successfully

claimId
string
required

Unique identifier for the claim.

Example:

"claim_abc123xyz"

status
enum<string>
required

Pix key ownership claim status. String values representing the state of a portability or ownership claim.

Valid values:

  • OPEN = Claim has been initiated and is awaiting action from parties involved
  • CONFIRMED = Claim has been confirmed by the claimer
  • COMPLETED = Claim process successfully completed, key transferred
  • CANCELLED = Claim was cancelled by the claimer or system
  • AWAITING_RESOLUTION = Awaiting resolution or decision from the current key owner
Available options:
OPEN,
CONFIRMED,
COMPLETED,
CANCELLED,
AWAITING_RESOLUTION
Example:

"OPEN"